Fedora-Fr - Communauté francophone Fedora - Linux

Communauté francophone des utilisateurs de la distribution Linux Fedora.

  

Dernière news : Assemblée Générale Ordinaire de Borsalinux-fr le 22 février à Paris

#1 Re : [F31] Support général » [Résolu] Mise à jour bloquer » 03/12/2019 21:39:39

$ rpm -q kernel
kernel-5.3.7-301.fc31.x86_64
kernel-5.3.11-300.fc31.x86_64

@madko
Effectivement ça fait pas beaucoup MB pour le boot.
J'ai 2 kernel.

@nouvo09
Finalement j'ai pas eu besoin du livecd avec Gparted, ça faisait très longtemps que je ne l'avais pas utiliser,
et j'avais fais l'erreur de croire qu'on pouvait agrandir cette partition de boot déjà construite.
J'ai construit une nouvelle partition de boot avec 500 Mio, et j'ai finalisé au terminal avec Cfdisk.
C'est bon maintenant et la mise à jour fonctionne à merveille.

$ rpm -q kernel
kernel-5.3.11-300.fc31.x86_64
kernel-5.3.13-300.fc31.x86_64


@winmandrake
Avant de crée la nouvelle partition boot, j'avais que 2 kernel ( réglez dans les paramètres) et j'ai essayé de supprimer l'avant dernier kernel ( et donc il m'en resté qu'un, résultat pareil au même mise à jour bloquer ).
Sinon en fait je suis resté à l'ancienne, dans les années 2006-2010 on conseiller une partition boot de 250 Mio depuis je suis
resté à 250 Mio et c'est aujourd'hui en 2019 que je me rend compte qu'il faut changer et doubler car la technique évolue.

@didierg
Je viens de voir ton post juste avant de répondre.
Oui effectivement les recommandations d'aujourd'hui ne sont plus les mêmes qu'hier. smile

Pour info l'autre pc en 250 Mio /boot sur Fedora 31 Cinnamon n'a pas eu ce problème pour le moment.
Mais bon je sais maintenant comment y remédier si problème.

Le sujet est résolue merci à tous et bonne soirée.

#2 [F31] Support général » [Résolu] Mise à jour bloquer » 03/12/2019 11:35:36

tetedecrocro
Réponses : 5

Depuis quelques jours, surprise surprise après un dnf upgrade du système sous Fedora 31 Mate ( non efi ).
C'est bien la première fois que je vois ça.

Total                                                                                1.3 GB/s |  87 MB     00:00     
Test de la transaction
La vérification de la transaction a réussi.
Lancement de la transaction de test
Les paquets téléchargés ont été mis en cache jusqu’à la prochaine transaction réussie.
Vous pouvez supprimer les paquets en cache en exécutant « dnf clean packages ».
Erreur : Transaction test error:
  installer le paquetage kernel-core-5.3.12-300.fc31.x86_64 nécessite 11MB sur le système de fichiers /boot

Pour info la partition boot à 243 Mio:

/dev/sda5        ext3       243M    207M   25M  90% /boot

L'autre mise à jour, à donner ceci:

Total                                                                                                   4.0 MB/s | 288 MB     01:11     
Delta RPMs a réduit la taille des mises à jour de 287.9 Mio à 287.5 Mio (0.1%  économisés)
Test de la transaction
La vérification de la transaction a réussi.
Lancement de la transaction de test
Les paquets téléchargés ont été mis en cache jusqu’à la prochaine transaction réussie.
Vous pouvez supprimer les paquets en cache en exécutant « dnf clean packages ».
Erreur : Transaction test error:
  installer le paquetage kernel-core-5.3.13-300.fc31.x86_64 nécessite 11MB sur le système de fichiers /boot
  installer le paquetage grub2-efi-ia32-1:2.02-103.fc31.x86_64 nécessite 13MB sur le système de fichiers /boot
  installer le paquetage grub2-efi-x64-1:2.02-103.fc31.x86_64 nécessite 14MB sur le système de fichiers /boot
  installer le paquetage grub2-efi-ia32-cdboot-1:2.02-103.fc31.x86_64 nécessite 15MB sur le système de fichiers /boot
  installer le paquetage grub2-efi-x64-cdboot-1:2.02-103.fc31.x86_64 nécessite 14MB sur le système de fichiers /boot

J'opte pour supprimer les fichiers efi (après une préalable copie), sinon essayer d'agrandir la partition en manuel ( Gparted c'est plus possible pour boot).
Avez vous des idées ?

#3 Re : Actualités » Venez tester Fedora 30 Beta ! » 27/04/2019 12:28:28

J'ai installé la Fedora 30 bêta hier, j'avais du temps libre alors qu'en principe j'attends la version stable.

Voici mes impressions:

Alors c'est une Fedora 30 Cinammon: sur pc portable.
Tout fonctionne nickel, aucun bug constater après la mise à jour, bon c'est vrai j'avais pas beaucoup tourner ma machine.
Puis nouvelle mise à jour dont le kernel.
J'ai poussé cette fois plus la machine, et je constate que c'est parfait, c'est  pratiquement une version stable, bravo à l'équipe.

#4 Re : [Anciennes versions] Support général » pi-hole échoué » 04/04/2019 16:38:34

Oui c'est controversé pour bash tu as raison @madko.
J'étais d'abord passé sur le site officiel Pi-Hole, il y a en effet l'autre façon pour l'installation mais beaucoup plus longue et la méthode courte de bash, mais pour mon cas c'est la méthode courte que j'ai choisi et lorsque j'ai vu ensuite le site indiqué plus haut, la méthode simple ( curl .. | bash) avec des utilisateurs Fedora 28, mon choix a été fixer pour essayer avec le risque bash.

Pour la désinstallation de pi-Hole pas de grand choix et le programme est multiplate-forme.
Comme je n'ai pas beaucoup de temps (travaux en ce moment) pour une méthode poussée, j'attends Fedora 30 stable, sur le portable Fedora 28 que je formate toute les 2 versions ( pair) et ce pc me sers + en expérimentation de toute façon.

J'ai l'autre machine Fedora 29 (méthode --releasever), donc pas de souci en ce moment.
Sauf erreur de ma part il n'y a pas eu de sujet sur Pi-Hole au forum, maintenant ce topic permet de découvrir ce programme pas si mal quand ça fonctionne wink

Çà permettra à certains d'essayer la version courte mais avec précaution smile si téméraire ou  la version longue.

#5 Re : [Anciennes versions] Support général » pi-hole échoué » 04/04/2019 07:43:41

madko a dit: Le genre de commande que tu cites, un curl suivi | bash est la pire chose à faire sur une machine linux. Si en plus tu as fais ça en root...

J'attends bien, mais c'est la recommandation de cette commande pour l'installation sur Linux ( sur Fedora 27 ou 28):
Si on doit l'essayer, on doit passer par cette commande.

https://community.spiceworks.com/how_to … -fedora-28

J'ai pas assez de temps pour chercher à enlever Pi-Hole.
Fedora 28 sera formaté bientôt pour une Fedora 30 stable, faire un essai n'ai pas bien grave.

#6 [Anciennes versions] Support général » pi-hole échoué » 03/04/2019 11:35:32

tetedecrocro
Réponses : 4

Bonjour.

j'ai essayé de voir le programme Pi-Hole pour le blocage de pub, installer depuis le terminal ( Fedora 28 ).

Mais au milieu de l'opération, Pi-Hole se termine sans finir l'installation, avec avertissement que le répertoire /etc/.pi-hole n'est pas crée !.
Depuis impossible d'accéder à internet.

Pendant le déroulement de l'opération je n'ai pas vérifiez si j'avais une ip statique et n'ai voulu quand faire à ma tête. L'ipv6 n'a pas été décochez sur Pi-hole pendant l'opération ( désactiver sur ma machine) car j'ai confondu la touche espace par entrer. Mais bon le problème vient je pense que je n'ai pas mis d'ip statique.

En regardant conky du bureau, j'aperçois que le dns a changé ( c'est celui que me demander Pi-hole soit 1.1.1.1). J'ai donc modifier le fichier /etc/resolv.conf pour y mettre le dns du FAI.
Au reboot le dns 1.1.1.1 revient automatiquement. Je m'aperçois que Pi-hole ma installer aussi 4 fichiers resolv.conf, j'ai viré les 4 et gardez l'original.

Je passe au forum pour voir si pareil mésaventure est arrivé à quelqu'un avec Pi-hole.
Je vais essayé avec la commande chattr pour le resolv, a+


P.s: Merci au modérateur de déplacer ce topic à la section Fedora 28 hmm

#7 Re : [Anciennes versions] Support général » [Résolu] NetworkManager-openvpn » 25/01/2019 19:51:18

Bonsoir.
AirVPN est bien je l'avais essayé en gratuit.

Pour ton problème,
C'est déjà positif que ça fonctionne bien avec le terminal mais l’échec en mode graphique, ça doit venir à mon avis de la configuration, ( login, passe, etc ), si tu as un doute regarde du côté du site de ton fournisseur VPN normalement ils ont un manuel de la mise en route sous Linux. J'ai eu jadis le même problème, patiente un peu, tu y arriveras.

#8 Re : [Anciennes versions] Support général » [Cups-PDF] Fichier PDF enregistré invisible » 25/01/2019 19:34:57

Bonsoir.
Sinon télécharge Catfish ( application graphique à la recherche de fichiers ) ça t'aidera mieux à trouver le fichier PDF wink

dnf install catfish

#9 Re : Le comptoir du libre » IBM Rachète RedHat! » 15/11/2018 17:55:30

cezame a écrit:  Tu te tourneras vers opensuse. wink

lol wink

J'ai essayé de nombreuses distribution Linux dont Opensuze ( mais pas Linux Mint préconiser pour débutant au passage lol ) mais à l'arrivée j'ai toujours gardé Fedora et c'est celle ou j'ai le moins de soucis et sur les 6 ou 7 ou + dernières années aucun souci majeur. Je rejoins @thierryR avec Opensuze au début c'est bien mais après l'encombrement de paquets ( bon c'était il y a 8 ou 9 ans ), mais à la même époque sur Fedora aucun souci de ce genre.

Sinon récemment j'ai essayé la MX17 cool au début c'est cool mais ensuite un problème dans la mise à jour impossible à régler, et les utilisateurs habitués de cette distribution ne savent pas la raison. Bref j'ai formaté cette distribution et je l'ai remplacé par une Fedora ( Cinnamon ), alors que j'ai déjà Fedora XFCE sur une autre partition.
Pourquoi essayer d'avoir 2 distribution Linux différente, quand on peut avoir 2 Fedora sous 2 environnement différent et sans avoir de souci majeur, c'est ce que je me suis dit.

Maintenant pour le futur, je reste optimiste pour Fedora.

#10 Re : [Anciennes versions] Installation de Fedora » pas de windows en double boot » 13/11/2018 17:58:44

Bonjour.

# grub2-mkconfig -o /boot/efi/EFI/fedora/grub.cfg

Ou alors:

dnf install grub-customizer

( à vérifier sinon dans dnf search)

Grub Customizer c'est une application graphique,  il te faudra faire la mise à jour de grub dans Grub-customizer.
Ensuite reboot et tu verras Windows et Fedora normalement.

#11 Re : [Anciennes versions] Installation de Fedora » Installation Fedora 29 : retour d'expérience » 13/11/2018 12:34:08

Méthode d'installation :
dnf system-upgrade pour uniquement le pc du bureau en Cinnamon.

Problèmes majeurs :
Aucun, mise à niveau par wifi, tout c'est bien passer comme une horloge en fonctionnement.

Problèmes mineurs :
Auncun

Points positifs :
En principe je fais peu de mise à niveau parce que j'avais par le passé des petits conflits, par 2 fois à chaque mise à niveau ( mais il y a longtemps ).
Je faisais donc l' installation de Fedora ( formatage du disque dur sauf /home et installation ) ces dernières années.
Je constate qu'il n'y a plus de souci comme avant, c'est du positif et j'envisage maintenant de faire à chaque fois la mise à niveau.

Points négatifs :
Aucun !

#12 Re : Le comptoir du libre » IBM Rachète RedHat! » 13/11/2018 12:21:08

VINDICATORs a dit : Après oui ce n'est quand même plus l'IBM d'antan, donc ce n'est pas non plus la peine de paniquer trop hâtivement.

J'espère bien, j'ai pas envie de me retrouver chez Linux Mint hmm

#13 Re : [Anciennes versions] Support général » [Résolu] boot.log dmesg » 15/10/2018 17:31:12

Oui tu fais bien de pas trop insister dessus, c'est un peu comme l'erreur au début du démarrage avec L'Apci qui s'affiche, elle n'ai pas gênante pour le fonctionnement du système.

Si tu supprimes les paquets virtualbox  tu n'auras plus bien sur cette erreur.
Perso je n'ai pas cette erreur car je n'ai pas téléchargé les paquets et n'utilise pas "machine" sur mon portable.
/etc//etc/modprobe.d  et /etc/modules-load.d sont vide.

#14 Re : [Anciennes versions] Support général » [Résolu] boot.log dmesg » 14/10/2018 13:58:42

Ok saddak, mais de toute façon c'est un petit problème mineur qui ne t'empêche pas d'utiliser ta machine.


Si tu veux insisté pour ce problème tu peux essayé de régénérez avec Dracut. 
Si cela corrige ton problème, cela signifie que quelque chose n'allait pas avec les initramfs.

 dracut --regenerate-all --force 

#15 Re : [Anciennes versions] Support général » [Résolu] boot.log dmesg » 12/10/2018 13:39:12

Bonjour.
Réinstallez le système a chaque problème mineur c'est pas le meilleur choix à faire.
Ou sinon tu aurais du attendre la nouvelle Fedora fin Octobre dans 15 jours environ et à ce moment formater et installer en même temps la Fedora 29 stable, là oui. Mais bon c'est qu'une suggestion.

saddak a écrit: Y a t'il d'autres manip à faire?

Fais les même commandes puis voir le status:

# systemctl daemon-reload
# systemctl start systemd-modules-load.service

#16 Re : [Anciennes versions] Support général » palapeli crashe » 11/10/2018 14:39:01

C'est pas grave @Thierry mais je suis allé me cherché autre chose.
Je viens de téléchargé gnome-tetravex ( jeu de puzzle ).

# dnf install gnome-tetravex

Il n'y a aucune dépendances tu peux l'installé sous KDE.

C'est parfait pour attendre une longue mise à jour par wifi en bas débit.

#17 Re : [Anciennes versions] Support général » palapeli crashe » 11/10/2018 13:43:44

Ah c'est pas mal, je viens de voir qu'il a bcp de dépendances de KDE , je peux bien-sûr l'essayer.
Mais est ce que tu connais pas un équivalent sous gnome ?

#18 Re : [Anciennes versions] Support général » palapeli crashe » 11/10/2018 13:13:44

Bonjour.
Je ne connais pas ce palapeli. Qu'est ce que c'est que ce paquet ? à quoi il sert ?

#19 Re : [Anciennes versions] Support général » icône de software update » 11/10/2018 13:08:09

Bonjour thierryR.
Tu as la notification, normalement elle est activé, regarde dans les paramètres si elle est pas réglez et l'activé.
Cette notification apparaît un instant en haut à droite pour signaler qu'il y a des mises à jours.

#20 Re : [Anciennes versions] Support général » Vidéos en Streaming qui ne démarre pas. » 11/10/2018 10:26:29

Pour info le paquet ffmpeg n'est pas nécessaire si tu as la famille gstreamer pour les vidéos en streaming ( vérifier sur la Fedora de ma sœur ).

#21 Re : [Anciennes versions] Support général » Vidéos en Streaming qui ne démarre pas. » 09/10/2018 17:29:36

Le mien est:

rpm -qa | grep gstreamer
PackageKit-gstreamer-plugin-1.1.10-1.fc28.x86_64
gstreamer1-plugins-base-1.14.1-3.fc28.x86_64
gstreamer-0.10.36-18.fc27.x86_64
gstreamer-plugins-ugly-0.10.19-27.fc28.x86_64
gstreamer1-plugins-good-1.14.1-3.fc28.x86_64
gstreamer1-libav-1.14.1-1.fc28.x86_64
gstreamer1-plugins-bad-free-1.14.1-3.fc28.x86_64
gstreamer1-plugins-bad-nonfree-1.14.1-1.fc28.x86_64
python2-gstreamer-0.10.22-17.fc28.x86_64
gstreamer1-plugins-good-extras-1.14.1-3.fc28.x86_64
gstreamer-plugins-bad-nonfree-0.10.23-6.fc28.x86_64
gstreamer1-plugins-bad-freeworld-1.14.1-1.fc28.x86_64
gstreamer-ffmpeg-0.10.13-19.fc28.x86_64
gstreamer1-plugins-good-gtk-1.14.1-3.fc28.x86_64
gstreamer1-plugins-ugly-1.14.1-2.fc28.x86_64
gstreamer-plugins-bad-0.10.23-10.fc28.x86_64
gstreamer1-plugins-ugly-free-1.14.1-3.fc28.x86_64
gstreamer1-1.14.1-2.fc28.x86_64
gstreamer-tools-0.10.36-18.fc27.x86_64
gstreamer1-plugins-bad-free-extras-1.14.1-3.fc28.x86_64
gstreamer-plugins-bad-free-0.10.23-45.fc28.x86_64
gstreamer-plugins-base-0.10.36-18.fc27.x86_64

#22 Re : [Anciennes versions] Support général » [Résolu] boot.log dmesg » 09/10/2018 12:47:53

Oui, j'ai de nouveau redémarré et toujours le même affichage..


Merci

Ok.  essaye Kvm.


p.s: j'ai aussi une commande avec --force mais je ne l'ai pas testé sur ma machine, c'est pour ça essaye kvm.

#23 Re : [Anciennes versions] Support général » Vidéos en Streaming qui ne démarre pas. » 09/10/2018 12:30:22

Tu as installé la famille Gstreamer ?

# dnf install gstreamer1-libav gstreamer1-ffmpeg gstreamer1-plugins-bad gstreamer1-plugins-ugly

#24 Re : [Anciennes versions] Support général » [Résolu] boot.log dmesg » 08/10/2018 21:41:56

@saddak

Tu as maintenant vérifié ta machine au reboot pour voir si tu retrouves Failed to start LoadKernel Modules ?

#25 Re : [Anciennes versions] Support général » Vidéos en Streaming qui ne démarre pas. » 08/10/2018 16:49:01

Bonjour à toi.
Il te faut installer les codecs.
Regarde la rubrique en haut dans documentation sur Fedora-fr il y a tout ce qu'il faut.

Pied de page des forums

Propulsé par FluxBB